package leigh.minecraft.asuka;

import leigh.mecha.log.MechaLogger;
import leigh.mecha.log.MechaLoggerFactory;
import leigh.mecha.util.UniversalJob;
import org.bukkit.Bukkit;
import org.bukkit.plugin.java.JavaPlugin;

/**
 * ASUKA implements a land survey plugin that produces industry-standard GIS data from a Minecraft world which
 * can be consumed with standard tools such as ArcGIS and QGIS.
 *
 * @author Alex Leigh
 */
public class AsukaPlugin extends JavaPlugin {
    private static final MechaLogger logger = MechaLoggerFactory.getLogger(AsukaPlugin.class);

    public void onEnable() {
        UniversalJob.banner(logger, "LEIGH&CO ASUKA");

        new Thread(new AsukaThread(Bukkit.getWorld("world"))).start();
    }
}
